# Address Verification

Verifies and standardizes an address based on the provided details.
This API checks for errors and returns suggestions or corrections. </br>
**Rate limit:** 600 requests per minute.

Endpoint: POST /api/addresses/verify
Version: v1
Security: ApiTokenAuth

## Request fields (application/json):

  - `street` (string, required)
    Example: xxx Grand Avenue

  - `street2` (string)
    Optional secondary address line (e.g., Apt, Suite, Unit, Floor).
    Example: Apt 5B

  - `city` (string, required)
    Example: Los Angeles

  - `state` (string, required)
    Example: CA

  - `zip` (string, required)
    Example: 90006

  - `country` (string, required)
    2-letter code for origin country. This field’s value will be an [ISO 3166-1 two-digit code](https://en.wikipedia.org/wiki/ISO_3166-1).
    Example: US

## Response 200 fields (application/json):

  - `street` (string)
    Example: xxx Grand Avenue

  - `street2` (string)
    Optional secondary address line (e.g., Apt, Suite, Unit, Floor).
    Example: Apt 5B

  - `city` (string)
    Example: Los Angeles

  - `state` (string)
    Example: CA

  - `zip` (string)
    Example: 90006

  - `country` (string)
    2-letter code for origin country. This field’s value will be an [ISO 3166-1 two-digit code](https://en.wikipedia.org/wiki/ISO_3166-1).
    Example: US

  - `residential` (boolean)
    Example: true

  - `errored` (boolean)
    Whether the address has an error

  - `corrected` (boolean)
    Whether the address was corrected

  - `standardized` (boolean)
    Whether the address was standardized

  - `errors` (array)

  - `errors.code` (string)
    Example: ADDRESS.PRIMARY.INVALID

  - `errors.message` (string)
    Example: Primary number invalid.

  - `corrections` (array)

  - `corrections.code` (string)
    Example: ADDRESS.COMPONENT.CHANGED

  - `corrections.message` (string)
    Example: An address component (i.e., directional or suffix only) was changed

